View
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.viewmanager.stubs.model
Class View

    java.lang.Object
      org.gcube.contentmanagement.viewmanager.stubs.model.View

All Implemented Interfaces:
  java.io.Serializable

    public class View

extends java.lang.Object
implements java.io.Serializable

A content view.

Author:
  Fabio Simeoni (University of Strathclyde)
See Also:
  Serialized Form

Constructor Summary
`View()`

Method Summary
`void` | `addProperty(ViewProperty prop)` Adds a property to the view.
`boolean` | `equals(java.lang.Object obj)`
`long` | `getCardinality()` Returns the cardinality of the view.
`java.lang.String` | `getCollectionID()` Returns the identifier of the view's collection.
`java.lang.String` | `getDescription()` Returns the description of the view
`org.apache.axis.message.addressing.EndpointReferenceType` | `getEndpointReference()` Returns a reference to the endpoint of the corresponding resource view.
`java.lang.String` | `getId()` Returns the view identifier.
`java.util.Calendar` | `getLastUpdate()` Returns the time of last update of the view.
`TreePredicate` | `getPredicate()` Returns the predicate that defines the view.
`java.util.Map<javax.xml.namespace.QName,ViewProperty>` | `getProperties()` Returns the view property.
`javax.xml.namespace.QName` | `getType()` Returns the view type.
`int` | `hashCode()`
`void` | `setCardinality(long cardinality)` Sets the cardinality of the view.
`void` | `setCollectionID(java.lang.String id)` Set the identifier of the view's collection.
`void` | `setDescription(java.lang.String description)` Sets the description of the view.
`void` | `setEndpointReference(org.apache.axis.message.addressing.EndpointReferenceType epr)` Sets a reference to the endpoint of the corresponding resource view.
`void` | `setId(java.lang.String id)` Set the view identifier.
`void` | `setLastUpdate(java.util.Calendar time)` Sets the time of last update of the view.
`void` | `setPredicate(TreePredicate p)` Sets the predicate that defines the view.
`void` | `setType(javax.xml.namespace.QName type)` Sets the type of the view.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### View

    public View()

Method Detail

### getId

    public java.lang.String getId()

  Returns the view identifier.

  Returns:
    the identifier.

### setCollectionID

    public void setCollectionID(java.lang.String id)

  Set the identifier of the view's collection.

  Parameters:
    `id` - the identifier.

### getCollectionID

    public java.lang.String getCollectionID()

  Returns the identifier of the view's collection.

  Returns:
    the identifier.

### setId

    public void setId(java.lang.String id)

  Set the view identifier.

  Parameters:
    `id` - the identifier.

### getType

    public javax.xml.namespace.QName getType()

  Returns the view type.

  Returns:
    the type.

### setType

    public void setType(javax.xml.namespace.QName type)

  Sets the type of the view.

  Parameters:
    `type` - the type.

### getPredicate

    public TreePredicate getPredicate()

  Returns the predicate that defines the view.

  Returns:
    the predicate.

### setPredicate

    public void setPredicate(TreePredicate p)

  Sets the predicate that defines the view.

  Parameters:
    `p` - the predicate to set

### getDescription

    public java.lang.String getDescription()

  Returns the description of the view

  Returns:
    the description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the view.

  Parameters:
    `description` - the description.

### getCardinality

    public long getCardinality()

  Returns the cardinality of the view.

  Returns:
    the cardinality.

### setCardinality

    public void setCardinality(long cardinality)

  Sets the cardinality of the view.

  Parameters:
    `cardinality` - the cardinality.

### getLastUpdate

    public java.util.Calendar getLastUpdate()

  Returns the time of last update of the view.

  Returns:
    the update time.

### setLastUpdate

    public void setLastUpdate(java.util.Calendar time)

  Sets the time of last update of the view.

  Parameters:
    `time` - the update time.

### addProperty

    public void addProperty(ViewProperty prop)

  Adds a property to the view.

  Parameters:
    `prop` - the property.

### getProperties

    public java.util.Map<javax.xml.namespace.QName,ViewProperty> getProperties()

  Returns the view property.

  Returns:
    the property.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### setEndpointReference

    public void setEndpointReference(org.apache.axis.message.addressing.EndpointReferenceType epr)

  Sets a reference to the endpoint of the corresponding resource view.

  Parameters:
    `epr` - the reference.

### getEndpointReference

    public org.apache.axis.message.addressing.EndpointReferenceType getEndpointReference()

  Returns a reference to the endpoint of the corresponding resource view.

  Returns:
    the epr the reference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD